﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Line 클래스 : Marks 속성을 사용해 마커를 일정 간격으로 표시하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Line line = new Line(this.tChart.Chart);

            line.Marks.DrawEvery = 5;
            line.Marks.Visible   = true;

            line.FillSampleValues(30);
        }

        #endregion
    }
}